{ config
, pkgs
, inputs
, ...
}:
let
  wallpaper = inputs.nix-wallpaper.packages.${pkgs.system}.default.override {
    logoSize = 24;
    preset = "gruvbox-dark-rainbow";
  };
  wallpaperPath = "${wallpaper}/share/wallpapers/nixos-wallpaper.png";
in
{
  programs.mpv = {
    enable = true;
    package = pkgs.mpv;
  };

  home = {
    file.".background.png".source = wallpaperPath;

    packages = with pkgs; [
      bitwarden
      airshipper
      ardour
      # blender
      brave
      cavalier
      ffmpeg
      freetube
      filelight
      element-desktop
      inkscape
      jellyfin-mpv-shim
      # miraclecast
      kate
      kdenlive
      krita
      # libsForQt5.kdeconnect-kde
      # libsForQt5.plasma-vault
      # libsForQt5.plasma-browser-integration
      nextcloud-client
      onlyoffice-bin
      protonup-qt
      # rustdesk
      signal-desktop
      tutanota-desktop
      thunderbird
      webcord-vencord
    ];
  };
}
